package com.iformall.mapper;

import com.iformall.common.CommonMapper;
import com.iformall.domain.po.WxBillRent;
import com.iformall.domain.po.WxRentContract;

import java.util.List;
import java.util.Map;

/**
 * @author gongbiao
 */
public interface WxBillRentMapper extends CommonMapper<WxBillRent, Long> {

	List<WxBillRent> findList(WxBillRent wxBillRent);

    List<Map<String,Object>> queryBillRentList(WxBillRent record);

    Map<String,Object> queryPayInfo(Map<String,Object> params);

    Map<String,Object> queryOweInfo(Map<String,Object> params);

    void updateNotPaidStatus(Map<String,Object> params);

    void updateWaitPayStatus(Map<String,Object> params);

    void updateInvalidStatus(WxBillRent wxBillRent);

    void deletePreviewBill(WxRentContract wxRentContract);

    void update(WxBillRent record);

    void updatePreviewStatus(WxBillRent record);

    Long oweBillCount(Long contractId);
}
